GET /map/{versionNumber}/tile/{layer}/{style}/{zoom}/{X}/{Y}.{format}

tomtom.com:maps

Summary: Tile
Operation ID:
Auth: unknown
Description

The Maps API Raster Service delivers raster tiles, which are representations of square sections of map data.

Parameters (9)

X (integer, path, required)

x coordinate of tile on zoom grid

Y (integer, path, required)

y coordinate of tile on zoom grid

format (string, path, required)

Format of the response.

Constraints: {'enum': ['jpg', 'png']}

layer (string, path, required)

Layer of tile to be rendered. <em>Hybrid</em> and <em>labels</em> are intended for layering with other data and are only available in <em>png</em> format.

Constraints: {'enum': ['basic', 'hybrid', 'labels']}

style (string, path, required)

Style of tile to be rendered

Constraints: {'enum': ['main', 'night']}

tileSize (integer, query, optional, default: 256)

Tile dimensions in pixels. <em>512</em> is only available for the <em>main</em> style and <em>basic</em> or <em>labels</em> layers.

Constraints: {'enum': [256, 512]}

versionNumber (integer, path, required)

Version of the service to call. The current version is 1.

Constraints: {'enum': [1]}

view (string, query, optional)

Geopolitical view. Determines rendering of disputed areas. See the <a href="/maps-sdk-web/functional-examples#geopolitical-views">documentation</a> for an explanation of how this works in live services.

Constraints: {'enum': ['Unified', 'IN']}

zoom (integer, path, required)

Zoom level of tile to be rendered

Constraints: {'enum': [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22]}

No probe data for this endpoint yet.